Bug 1711006 - Metrics installation fails during the execution of playbook ovirt-metrics-store-installation if the environment is not having DHCP
Summary: Metrics installation fails during the execution of playbook ovirt-metrics-sto...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-metrics
Version: 4.3.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-4.3.8
: 4.3.8
Assignee: Shirly Radco
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-16 18:21 UTC by nijin ashok
Modified: 2021-01-18 09:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This enhancement adds support for using the Metrics Store configuration file to set virtual machine NIC parameters. For example, this enhancement enables you to run the ovirt-metrics-store-installation playbook on a network that does not have DHCP.
Clone Of:
Environment:
Last Closed: 2020-03-09 12:47:01 UTC
oVirt Team: Metrics
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4152381 0 Troubleshoot None Why metrics store installation is failing at stage "Wait for VMs IP"? 2019-05-16 19:38:24 UTC
oVirt gerrit 98534 0 None MERGED Added support for configuring nics variables 2021-01-18 09:17:35 UTC
oVirt gerrit 106206 0 None MERGED Added support for configuring nic_mode 2021-01-18 09:17:34 UTC
oVirt gerrit 106254 0 None MERGED Added support for configuring nics variables 2021-01-18 09:17:34 UTC
oVirt gerrit 106255 0 None MERGED Added support for configuring nic_mode 2021-01-18 09:17:34 UTC

Description nijin ashok 2019-05-16 18:21:43 UTC
Description of problem:

Currently the metrics installation playbook ovirt-metrics-store-installation.yml only works in the DHCP environment. It doesn't pass the IP address information through cloud-int and hence depends on DHCP to configure the IP and hostname for both the installer and master VM. So the playbook will fail at the task "Wait for VMs IP" in ovirt.vm-infra role. 

Version-Release number of selected component (if applicable):

ovirt-engine-metrics-1.3.0.2-1.el7ev.noarch

How reproducible:

100%

Steps to Reproduce:

Deploy metrics on environment which is not having DHCP.

Actual results:

Metrics installation fails during the execution of playbook ovirt-metrics-store-installation if the environment is not having DHCP

Expected results:

Installation should also work without DHCP.

Additional info:

Comment 2 Daniel Gur 2019-08-28 13:14:03 UTC
sync2jira

Comment 3 Daniel Gur 2019-08-28 13:18:18 UTC
sync2jira

Comment 4 Sandro Bonazzola 2019-09-26 13:57:50 UTC
sync2jira

Comment 7 Peter Lauterbach 2019-12-02 12:26:18 UTC
Static IP addresses are common in many enterprise environments, DHCP would not be available for long lived servers.

Comment 8 Lucie Leistnerova 2020-01-13 07:13:06 UTC
We don't have the proper build yet, please move to ON_QA when the build is delivered to QE.

Comment 9 Lukas Svaty 2020-01-20 13:24:18 UTC
Info from Shirly - can be moved to ONQA

Comment 10 Guilherme Santos 2020-01-22 23:49:47 UTC
Verified on:
ovirt-engine-setup-4.3.8.2-0.4.el7.noarch
ovirt-engine-metrics-1.3.6.2-1.el7ev.noarch

Steps:
1. Followed metrics installation tutorial (https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.3/html/metrics_store_installation_guide/installing_metrics_store)
until step 5 
2. On step 5 of the tutorial, filled the logical network configuration with an arbitrary pre-selected IP address (on nic_ip_address parameter)
3. Continued on tutorial to launch metrics-store-installer vm

Results
metrics-store-installer vm launched with the pre-selected static IP address


Note You need to log in before you can comment on or make changes to this bug.